<div class="page-header">
    <h1>Dashboard</h1>
    <button mat-flat-button color="warn" class="page-header-main-action txt-size-20">
        View All Reports
    </button>
</div>

<div class="charts-wrapper">
    <div class="chart">
        <visits-chart [visitsChartData]="visitedChartData"></visits-chart>
    </div>
    <div class="chart">
        <performance-chart [performanceChartData]="applicationPerformanceData"></performance-chart>
    </div>
    <div class="chart">
        <server-chart [serverChartData]="applicationServerData"></server-chart>
    </div>
    <div class="chart">
        <task-breaked-down-chart [taskBreakDownChartData]="taskBreakDownData"></task-breaked-down-chart>
    </div>
</div>

<daily-line-chart></daily-line-chart>
<overall-stat [projectsStatsData]="projectStats"></overall-stat>
<requests-charting-grid [supportRequestData]="supportRequests"></requests-charting-grid>